/// <reference types="node" />
import type GitHubAPI from './index';
export interface Options {
    encoding: 'utf-8' | 'base64';
}
export declare class FileSystem {
    private readonly ctx;
    constructor(ctx: GitHubAPI);
    readFile(path: string, options?: Options): Promise<string>;
    writeFile(path: string, content: string | Buffer, options?: Options): Promise<import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 200> | import("@octokit/types").OctokitResponse<{
        content: {
            name?: string;
            path?: string;
            sha?: string;
            size?: number;
            url?: string;
            html_url?: string;
            git_url?: string;
            download_url?: string;
            type?: string;
            _links?: {
                self?: string;
                git?: string;
                html?: string;
            };
        };
        commit: {
            sha?: string;
            node_id?: string;
            url?: string;
            html_url?: string;
            author?: {
                date?: string;
                name?: string;
                email?: string;
            };
            committer?: {
                date?: string;
                name?: string;
                email?: string;
            };
            message?: string;
            tree?: {
                url?: string;
                sha?: string;
            };
            parents?: {
                url?: string;
                html_url?: string;
                sha?: string;
            }[];
            verification?: {
                verified?: boolean;
                reason?: string;
                signature?: string;
                payload?: string;
            };
        };
    }, 201>>;
}
